---
title: "Delete a transaction · Transactions · COUNT Partner API"
description: "Deletes a transaction from the workspace. DELETE /partners/transactions/{uuid}"
canonical: "https://developers.getcount.com/reference/transactions/delete-transaction"
source: "https://developers.getcount.com/reference/transactions/delete-transaction"
---
[Transactions](https://developers.getcount.com/reference/transactions) / Delete a transaction

# Delete a transaction

DELETE `/partners/transactions/{uuid}`

Deletes a transaction from the workspace.

HMAC signature + Bearer access token

[Try this request](https://developers.getcount.com/tools/try-it?method=DELETE&path=%2Fpartners%2Ftransactions%2F%7Buuid%7D)

[Chart of Accounts API](https://developers.getcount.com/reference/chart-of-accounts) [Bills API](https://developers.getcount.com/reference/bills) [Invoices API](https://developers.getcount.com/reference/invoices)

#### Path parameters

`uuid` uuid required

The UUID of the transaction.

#### Responses

`200` Transaction deleted.

`404` Transaction not found.

[Previous PUT Split a transaction](https://developers.getcount.com/reference/transactions/split-transaction)

DELETE `https://api.getcount.com/partners/transactions/{uuid}`

Request

```javascript
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'DELETE';
const signingPath = '/transactions/3fa85f64-5717-4562-b3fc-2c963f66afa6';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';

const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/transactions/3fa85f64-5717-4562-b3fc-2c963f66afa6`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
});

console.log(await response.json());
```

Response · 200

```json
{
  "status": "success",
  "message": "Transaction deleted."
}
```
